/**
 * 用于form跟json的互转
 * @param formId
 * @returns {Object}
 */
function formToJson(formId){
	var reqJson=new Object();
	$($("#"+formId+"").serializeArray()).each(function(){
		var name=this.name;
		var value=this.value;
		if(name.indexOf("Time")>=0){
			value=fmtTimeStamp(value)
		}
		if(value!=null && value!='')
		  reqJson[name]=(value)
	})
	return reqJson;
}

/**
 * 
 * @param formId
 * @returns
 */
function formToJsonStr(formId){
	return JSON.stringify(formToJson(formId))
}

/**
 * 实体填充表单
 * @param entity
 */
function entityFillForm(entity,formId){
	for(var filed in entity){
		var value=entity[filed]
		if(filed.indexOf("Time")>=0){
			value=fmtDateTime(value)
		}
		$("#"+formId+" [name='"+filed+"']").val(value);
	}
}
